Productsup
CDE APIApi referencePlatform

Ensure dev site exists on the platform

If dev project is not provided it will be created, If both are provided, no action will be performed

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/platform-dev-site

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/platform-dev-site"
{
  "message": "Platform Site will be created in the background.",
  "data": {
    "state": {
      "uuid": "d7f27d12-7ade-45ef-a343-2dcec759b1bb"
    }
  }
}
{
  "message": "Dev account is missing.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?